import { Interaction } from "discord.js";
import ChatInputCommand from "./interactionCreate/ChatInputCommand.js";
import Button from "./interactionCreate/Button.js";
import AppLogger from "./appLogger.js";
import NewUserDiscovery from "./interactionCreate/middleware/NewUserDiscovery.js";

export class Events {
    public async onInteractionCreate(interaction: Interaction) {
        if (!interaction.guildId) return;

        await NewUserDiscovery(interaction);

        if (interaction.isChatInputCommand()) {
            AppLogger.LogVerbose("Client", `ChatInputCommand: ${interaction.commandName}`);
            ChatInputCommand.onChatInput(interaction);
        }

        if (interaction.isButton()) {
            AppLogger.LogVerbose("Client", `Button: ${interaction.customId}`);
            Button.onButtonClicked(interaction);
        }
    }

    // Emit when bot is logged in and ready to use
    public onReady() {
        AppLogger.LogInfo("Client", "Ready");
    }
}
